#ifndef TIME_UTILS_H
#define TIME_UTILS_H

/*!
  \file
  \brief 時間管理

  \author Satofumi KAMIMURA

  $Id: timeUtils.h 286 2008-10-20 09:40:22Z satofumi $
*/

namespace VXV {
  /*!
    \brief 遅延関数の時間倍率を設定

    \param magnify [i] 時間倍率
  */
  void set_DelayTimeMagnify(double magnify);

  /*!
    \brief モニタモードの設定

    \param realDevice [i] 実機実行時に true
  */
  void set_MonitorMode(bool realDevice);

  /*!
    \brief 遅延関数

    \param msec [i] 遅延時間
  */
  void Delay(unsigned long msec);

  /*!
    \brief 経過時刻の取得
  */
  unsigned long GetTicks(void);
}

#endif /* !TIME_UTILS_H */
